aboutsummaryrefslogtreecommitdiffstats
path: root/community/fcron/fcron.initd
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2018-03-01 03:12:39 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2018-03-01 03:12:39 +0000
commit0d8c66c18bd65863c3c8f3bed7fe48d251f123b0 (patch)
tree4733e9eee81ad8947d6ee0a8742ff9670899209a /community/fcron/fcron.initd
parenta840302e179c2ebb9d8c8084cbffcdb3d80e42e6 (diff)
downloadaports-0d8c66c18bd65863c3c8f3bed7fe48d251f123b0.tar.bz2
aports-0d8c66c18bd65863c3c8f3bed7fe48d251f123b0.tar.xz
community/fcron: move from testing
Diffstat (limited to 'community/fcron/fcron.initd')
-rwxr-xr-xcommunity/fcron/fcron.initd29
1 files changed, 29 insertions, 0 deletions
diff --git a/community/fcron/fcron.initd b/community/fcron/fcron.initd
new file mode 100755
index 0000000000..617b74cd8f
--- /dev/null
+++ b/community/fcron/fcron.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+
+# Initscript by Diaz Devera Victor <vitronic2@gmail.com>
+# Copyright 2014 Alpine Linux
+# Distributed under the terms of the GNU General Public License v2
+
+#name="advanced periodic command scheduler fcron"
+name="fcron"
+pidfile="/run/fcron"
+command=/usr/sbin/fcron
+
+depend() {
+ need localmount
+ need logger
+}
+
+start() {
+ ebegin "Starting $name"
+ start-stop-daemon --start --exec ${command} \
+ --pidfile "$pidfile.pid"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping $name"
+ start-stop-daemon --stop --exec ${command} \
+ --pidfile "$pidfile.pid"
+ eend $?
+}